summaryrefslogtreecommitdiff
path: root/.github/workflows/ubuntu.sh
diff options
context:
space:
mode:
authormbkma <[email protected]>2026-03-12 17:31:29 +0100
committerGitHub <[email protected]>2026-03-12 16:31:29 +0000
commitbe7ff2b29571a569905a3ea1d65fa213ebbcd406 (patch)
tree4feb986f1ed1f0ed7db125712d9cfb78f2ef9c8e /.github/workflows/ubuntu.sh
parentd433bbd9aeb7ae3377e59c70f6608c3e29f9ebbc (diff)
downloadmate-applets-be7ff2b29571a569905a3ea1d65fa213ebbcd406.tar.bz2
mate-applets-be7ff2b29571a569905a3ea1d65fa213ebbcd406.tar.xz
ci: migrate from Travis CI to GitHub Actions
Replace Travis CI configuration with GitHub Actions workflows. Add CI build workflow for Debian, Fedora, Ubuntu, and Archlinux. Add release workflow for automated GitHub releases on tags. Add dependabot configuration for GHA pin updates. Remove obsolete .travis.yml. remove .build.yml fix invest applet makefile
Diffstat (limited to '.github/workflows/ubuntu.sh')
-rwxr-xr-x.github/workflows/ubuntu.sh60
1 files changed, 60 insertions, 0 deletions
diff --git a/.github/workflows/ubuntu.sh b/.github/workflows/ubuntu.sh
new file mode 100755
index 00000000..291ab39b
--- /dev/null
+++ b/.github/workflows/ubuntu.sh
@@ -0,0 +1,60 @@
+#!/usr/bin/bash
+
+set -eo pipefail
+
+# Use grouped output messages
+infobegin() {
+ echo "::group::${1}"
+}
+infoend() {
+ echo "::endgroup::"
+}
+
+# Required packages on Ubuntu
+requires=(
+ ccache # Use ccache to speed up build
+)
+
+# https://git.launchpad.net/ubuntu/+source/mate-applets/tree/debian/control
+requires+=(
+ autopoint
+ gcc
+ git
+ libcpufreq-dev
+ libdbus-1-dev
+ libdbus-glib-1-dev
+ libglib2.0-dev
+ libgtk-3-dev
+ libgtksourceview-4-dev
+ libgtop2-dev
+ libgucharmap-2-90-dev
+ libiw-dev
+ libmate-desktop-dev
+ libmate-menu-dev
+ libmate-panel-applet-dev
+ libmateweather-dev
+ libnl-genl-3-dev
+ libnotify-dev
+ libpolkit-gobject-1-dev
+ libupower-glib-dev
+ libwnck-3-dev
+ libx11-dev
+ libxml2-dev
+ make
+ mate-common
+ x11proto-kb-dev
+ yelp-tools
+ iso-codes
+ gobject-introspection
+ libgirepository1.0-dev
+)
+
+infobegin "Update system"
+apt-get update -y
+infoend
+
+infobegin "Install dependency packages"
+env DEBIAN_FRONTEND=noninteractive \
+ apt-get install --assume-yes \
+ ${requires[@]}
+infoend